Subject: Re: linux-next: build failure after merge of the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 25 Oct 2021 18:58:36 +1100

Hi Borislav,

On Mon, 25 Oct 2021 09:42:12 +0200 Borislav Petkov <[email-masked]> wrote:
>
> I cannot reproduce here. It could be uncovered by some stuff you merge
> before tip/auto-latest or so.

Yeah, I fugured something like that must have happened.

> > From: Stephen Rothwell <[email-masked]>
> > Date: Mon, 25 Oct 2021 15:04:13 +1100
> > Subject: [PATCH] x86/fpu: include vmalloc.h for vzalloc etc
> > 
> > Fixes: 69f6ed1d14c6 ("x86/fpu: Provide infrastructure for KVM FPU cleanup")
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  arch/x86/kernel/fpu/core.c | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/arch/x86/kernel/fpu/core.c b/arch/x86/kernel/fpu/core.c
> > index 9c475e2efd4d..c55013fc82ab 100644
> > --- a/arch/x86/kernel/fpu/core.c
> > +++ b/arch/x86/kernel/fpu/core.c
> > @@ -16,6 +16,7 @@
> >  
> >  #include <linux/hardirq.h>
> >  #include <linux/pkeys.h>
> > +#include <linux/vmalloc.h>
> >  
> >  #include "context.h"
> >  #include "internal.h"
> > --   
> 
> I'm thinking I could simply fold in your change into 69f6ed1d14c6 ...

That will certainly make it more robust against people cleaning up
include files.

-- 
Cheers,
Stephen Rothwell